@media (max-width: 767.98px) {

  .alert,
  .card {
    border-left: none !important;
    border-right: none !important;
    border-radius: 0 !important;
  }

  .sc-alert-cards .sc-alert-cards__alert:first-child {
    border-top: none !important;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
  }

  .fs-14 {
    font-size: 14px !important;
  }
}

.no-top-border,
.sc-alert-cards.no-top-border .sc-alert-cards__alert:first-child {
  border-top: none !important;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.no-bottom-border,
.sc-alert-cards.no-bottom-border .sc-alert-cards__alert:first-child {
  border-bottom: none !important;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

@media (min-width: 768px) {
  .rounded-md-end {
    border-top-right-radius: 0.25rem !important;
    border-bottom-right-radius: 0.25rem !important;
  }
}

.sc-alert-cards .sc-alert-cards__alert.clickable {
  cursor: pointer !important;
}

.sc-alert-cards .sc-alert-cards__alert.clickable:not([role]),
.sc-alert-cards .sc-alert-cards__alert.clickable[role=""] {
  -webkit-user-select: none !important;
  -moz-user-select: none !important;
  user-select: none !important;
}

.card {
  --bs-card-cap-bg: rgb(247 247 247);
}

.form-check-input:checked,
.form-check-input:indeterminate {
  background-color: var(--bs-secondary) !important;
  border-color: var(--bs-secondary) !important;
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus,
.form-select:focus {
  box-shadow: 0 0 0 .25rem rgba(var(--bs-primary-rgb), .25);
}

.fw-semibold,
.badge {
  font-weight: 500 !important;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
  background-color: rgb(241, 241, 241);
}

a {
  text-underline-offset: 3px;
}


.cursor-pointer {
  cursor: pointer;
}


ul.inside-list {
  list-style-position: inside;
  padding-left: 0;
}


.form-label {
  margin-bottom: 0;
}


.sc-search * {
  --bs-border-color: var(--bs-card-border-color) !important;
}

.sc-search__q {
  padding-right: 37px;
}

.sc-search__btn-clear {
  position: absolute;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
}

.sc-search__spinner {
  position: absolute;
  right: 14px;
  top: calc(50% - 2px);
  transform: translateY(calc(-50% + 2px));
}


.has-value::after {
  position: absolute;
  border-radius: 50%;
  width: 6px;
  height: 6px;
  background-color: currentColor;
  content: '';
}

.sc-search:has(.sc-search__q:placeholder-shown) .sc-search__btn-search i:first-of-type::after {
  display: none;
}

.sc-search__entity-icon {
  font-size: 64px
}

.sc-search .card-header {
  background-color: var(--bs-white);
}

.sc-search .card-header .btn {
  --bs-btn-border-width: 0;
  --bs-btn-border-style: none;
}

.sc-search-header-columns {
  background-color: rgb(247 247 247);
}

@media (hover: hover) and (pointer: fine) {
  .sc-search .card-body.grid-hover>.row:hover:not(.highlighted.active) {
    background-color: var(--bs-card-cap-bg);
  }

  .clickable-area:hover {
    background-color: var(--bs-gray-100);
  }
}

.sc-search .card-body .highlighted {
  transition: background-color 0.3s ease;
}

.sc-search .card-body .highlighted.active {
  background-color: var(--bs-gray-100);
}


.sc-search .card-body>.row:not(:last-child) {
  border-bottom: 1px solid var(--bs-card-border-color);
}

@media (max-width: 767.98px) {
  .sc-search__q {
    padding-left: 0;
    padding-right: 29px;
    border: 0;
    border-radius: 0;
    outline: none;
    box-shadow: none;
  }

  .sc-search__q:focus {
    border: none;
    outline: none;
    box-shadow: none;
  }

  .sc-search__btn-clear {
    right: 0;
  }

  .sc-search__spinner {
    right: 2px;
  }
}


.connector {
  width: 307px;
  height: 300px;
  /* Fallback height for browsers without aspect-ratio */
  background-image: url('../connector.png');
  background-size: cover;
  background-position: center;
}

.connector-svg {
  width: 307px;
  height: 300px;
}

@media (max-width: 575.98px) {
  .connector {
    width: 64%;
  }

  .connector-svg {
    width: 64%;
    height: auto;
  }
}

@supports (aspect-ratio: 1) {
  .connector {
    height: auto;
    aspect-ratio: 307 / 300;
  }
}

.field-validation-error {
  color: var(--bs-danger);
  display: block;
}

.input-validation-error {
  border: 2px solid var(--bs-danger) !important;
  background-color: rgba(220, 53, 69, .1);
}

.field-validation-valid {
  display: none;
}


.sc-log__bullet {
  position: absolute;
  left: 13px;
  margin-top: -1px;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  border: 2px solid var(--bs-white);
  background-color: var(--bs-border-color);
  color: var(--bs-body-color);
}

.sc-log__bullet__multi-line-link {
  transition: botext-decoration .3s ease;
  text-decoration: underline dotted !important;
  -webkit-text-decoration: underline dotted !important;
  text-underline-offset: 3px;
  -webkit-text-underline-offset: 3px;
}

span[aria-expanded="true"].sc-log__bullet__multi-line-link {
  text-decoration: underline solid !important;
  -webkit-text-decoration: underline solid !important;
}


.text-decoration-underline-dotted {
  text-decoration: underline dotted !important;
  -webkit-text-decoration: underline dotted !important;
}

.text-decoration-underline-dotted:hover {
  text-decoration: underline solid !important;
  -webkit-text-decoration: underline solid !important;
}


.status-badge-secondary {
  color: var(--bs-dark);
  background-color: rgba(var(--bs-secondary-rgb), .32);
}

.status-badge-danger {
  color: var(--bs-dark);
  background-color: rgba(var(--bs-danger-rgb), .32);
}

.status-badge-warning {
  color: var(--bs-dark);
  background-color: rgba(var(--bs-warning-rgb), .48);
}

.status-badge-success {
  color: var(--bs-dark);
  background-color: rgba(var(--bs-success-rgb), .48);
}

.sc-form .multiselect {
  color: transparent;
  cursor: default;
  outline: 0;
  pointer-events: none !important;
  -webkit-user-select: none !important;
  -moz-user-select: none !important;
  user-select: none !important;
}

.sc-form .pills {
  position: absolute;
  top: 27px;
  left: 13px;
}

.sc-form .pill-badge {
  box-sizing: border-box;
  padding-top: 0;
  padding-bottom: 0;
  height: 20px;
  -webkit-user-select: none !important;
  -moz-user-select: none !important;
  user-select: none !important;
}

.sc-form .pill-badge:focus {
  border: 0;
  outline: 0;
  box-shadow: 0 0 0 .25rem rgba(var(--bs-primary-rgb), .25);
}


@media (max-width: 767.98px) {
  .sc-form-card.expandable {
    cursor: pointer;
  }
}


@keyframes shake {
  0% {
    transform: translateX(0);
  }

  25% {
    transform: translateX(-4px);
  }

  50% {
    transform: translateX(4px);
  }

  75% {
    transform: translateX(-4px);
  }

  100% {
    transform: translateX(0);
  }
}

.pill-duplicate {
  animation: shake .3s ease-in-out;
}

.hover-underline {
  text-decoration: none !important;
}

.hover-underline:hover {
  text-decoration: underline !important;
}

.lg-container {
  max-width: 992px;
}

.sm-container {
  max-width: 576px;
}

.highlight-tmp {
  transition: background-color 2s ease;
}

.clickable-area {
  cursor: pointer;
  transition: background-color .2s;
}

.no-caret::after {
  display: none !important;
}


#breakpoint-detector::after {
  content: "xs";
}

@media (min-width: 576px) {
  #breakpoint-detector::after {
    content: "sm";
  }
}

@media (min-width: 768px) {
  #breakpoint-detector::after {
    content: "md";
  }
}

@media (min-width: 992px) {
  #breakpoint-detector::after {
    content: "lg";
  }
}

@media (min-width: 1200px) {
  #breakpoint-detector::after {
    content: "xl";
  }
}

@media (min-width: 1400px) {
  #breakpoint-detector::after {
    content: "xxl";
  }
}

.dropdown-item:active,
.dropdown-item.active {
  background-color: var(--bs-secondary);
  color: var(--bs-light);
  transition: background-color .2s, color .2s;
}


.overlay {
  position: absolute;
  background-color: rgba(255, 255, 255, .01);
  inset: 0;
  width: 100%;
  height: 100%;
  z-index: 10000;
  display: none;
  pointer-events: all;
  cursor: default;
  opacity: 0;
  transition: opacity .15s ease-in-out;
}

.overlay.active {
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 1;
}

#kpis {
  border-top: 0;
  border-left: 1px solid var(--bs-card-border-color);
}

@media (max-width: 575.98px) {
  #kpis {
    border-top: 1px solid var(--bs-card-border-color);
    border-left: 0;
  }
}

#stats .btn-outline-secondary {
  --bs-btn-border-color: var(--bs-card-border-color);
  --bs-btn-color: var(--bs-body-color);
}

#stats .btn-outline-secondary:hover {
  --bs-btn-border-color: var(--bs-btn-hover-border-color);
}